package com.unis.base.server.service;

import java.util.List;

import com.unis.base.common.vo.TyHtxxVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyHtxxService
 * @ProjectName TyHtxxService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface TyHtxxService {

	/**
	 * 获取信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<TyHtxxVO> getTyHtxxList(TyHtxxVO tyHtxxVO);

	/**
	 * 分页展示
	 * @param TyHtxxVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	List<TyHtxxVO> getTyHtxxPage(TyHtxxVO tyHtxxVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param TyHtxxVO
	 * @return
	 */
	int insert(TyHtxxVO tyHtxxVO);

	/**
	 * 更新信息
	 * @param TyHtxxVO
	 * @return
	 */
	int update(TyHtxxVO tyHtxxVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @param TyHtxxVO
	 * @return
	 */
	int delete(String htxxid);

	/**
	 * 根据编号获取信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TyHtxxVO getHtxxByHtxxid(String htxxid);

}
